<!DOCTYPE html>
<html>

  <head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="My personal website">
    <meta name="author" content="Alexandre Acsensi">

    <title>Electronics production</title>

    <link href="../../css/bootstrap.min.css" rel="stylesheet"> <!-- Bootstrap core CSS -->
    <link href="../../css/main.css" rel="stylesheet"> <!-- Custom styles for this template -->
    <link href="https://fonts.googleapis.com/css?family=Roboto:100,100i,300,300i,400,400i,500,500i,700,700i,900,900i" rel="stylesheet">

    <link rel="shortcut icon" type="image/png" href="../../img/aavlogo-black.png">

  </head>

  <body>

    <section id="mdeft1" >
      <div class="container">
        <div class="row">
          <div class="col-lg-8 mx-auto">


            <!-- TITLE --> <h2>Electronics production</h2>

            <!-- lINK A FABACADEMY -->
            <u> <a class="text_black" href="http://academy.cba.mit.edu/classes/electronics_production/index.html" target="_blank">
                <h6>FabAcademy electronics production</h6>
                </a> </u>

            <u> <a class="text_black" href="http://fab.academany.org/2019/labs/barcelona/local/wa/week4/" target="_blank">
                <h6>FabBarcelona electronics production</h6>
                </a> </u>

            <br>

            <!-- INTRO WEEK DESCRIPTION -->
            <p>
              This week was about how to produce our own electronics. I splitted the documentation in two parts:
            </p>
              <ul>
                <li> <u> <a class="text_black" href="#a"> Making the board</a> </li> </u>
                <li> <u> <a class="text_black" href="#b"> Programming the board</a> </li> </u>
              </ul>

            <center> <img src="files/w405.png" width="100%"> </center>

            <h5 id=a>Making the board</h5>
            <br>
            <p>The board is a FAB ISP, is an in-system programmer for AVR microcontrollers, designed for production within a FabLab.
              It allows you to program the microcontrollers on other boards you make, using a USB cable and 6-pin IDC to 6-pin IDC cable.</p>
            <br>
            <i>Process</i> <br> <br>
            <p>
              1. Download this two files: &nbsp;&nbsp;&nbsp;
              <u> <a class="text_black" href="http://academy.cba.mit.edu/classes/embedded_programming/hello.ISP.44.traces.png"> FAB ISP traces</a> </u>
              &nbsp;&nbsp;&nbsp;
              <u> <a class="text_black" href="http://academy.cba.mit.edu/classes/embedded_programming/hello.ISP.44.interior.png"> FAB ISP interior </a> </u>
            </p>

            <div class="row">
              <div class="col-sm">
                <center> <img src="files/hello.ISP.44.traces.png" width="75%"> </center>
              </div>
              <div class="col-sm">
                <center> <img src="files/hello.ISP.44.interior.png" width="75%"> </center>
              </div>
            </div>

            <br>
            <hr>
            <br>

            <p>
            2. Generate the path through <u> <a class="text_black" href="http://fabmodules.org/" target="_blank"> Fab modules</a> </u></p>
            <p>
            Inside fab modules: <br><br>

            <b>For the traces file:</b>
            <ul>
              <li>Input format </li>
                <p>image .png and then select the file</p>
                <li>Output format</li>
                <p> Roland mill .rml   /   MDX-20 (our milling machine)   /   speed: 3   /   x0 y0 z0: 0   /   zjog: 10 (how tall the z goes between points)</p>
                <li>Process</li>
                <p>PCB traces 1/64 (the tool we use), cut depth: 0.1mm (traces) 0.5mm (outline), offset: 4, then calculate and save!</p>
            </ul>
            <br>
            <b>For the outline file:</b> <br><br>
            <ul>
              <li>Input format </li>
                <p>image .png and then select the file</p>
                <li>Output format</li>
                <p> Roland mill .rml   /   MDX-20 (our milling machine)   /   speed: 3   /   x0 y0 z0: 0   /   zjog: 10 (how tall the z goes between points)</p>
                <li>Process</li>
                <p>PCB traces 1/64 (the tool we use), cut depth: 0.1mm (traces) 0.5mm (outline), offset: 4, then calculate and save!</p>
            </ul>


            <br>
            <hr>
            <br>

            <p>3. Milling the board and drinking coffee</p>
            <br>
            <div class="row">
              <div class="col-sm">
                <center> <video src="files/w409.mp4" width="100%" autoplay muted loop></video> </center>
              </div>
              <div class="col-sm">
                <p></p>
              </div>
            </div>
            <div class="row">
              <div class="col-sm">
                 <p>Attach the board properly to the base of the machine with double face tape.</p>
              </div>
              <div class="col-sm">
                <center> <video src="files/w407.mp4" width="100%" autoplay muted loop></video> </center>
              </div>
            </div>
            <div class="row">
              <div class="col-sm">
                <center> <video src="files/w406.mp4" width="100%" autoplay muted loop></video> </center>
              </div>
              <div class="col-sm">
                <p>Set the x and y moving the machine to the initial point, bottom left from your side.
                  Then to set the z, put the tool closer to the surface without touching, let it fall and then close it again</p>
              </div>
            </div>
            <div class="row">
              <div class="col-sm">
                 <p>And mill!</p>
              </div>
              <div class="col-sm">
              </div>
            </div>

            <center> <img src="files/w410.png" width="100%"> </center>

            <hr>
            <br>

              <p>4. Soldering the board</p>
              <br>
              <p>First of all, I got all the components. This is the list of the components:</p>
              <center> <img src="files/w402.jpg" width="90%"> </center>
              <br>
              <br>
              <p>This is the map to follow:</p>
              <center> <img src="files/helloISP44.jpg" width="80%"> </center>
              <br>
              <br>
              <p> Soldering time!!! </p>
              <center> <video src="files/w408.mp4" width="100%" autoplay muted loop></video> </center>

            <br><br>
            <hr>
            <br><br>

            <h5 id=b>Programming the board</h5>
            <br>
            <p>The board is based on the USBtiny and V-USB firmwares, which allow the ATtiny44 to perform USB communication in software. Programming can be done through avrdude.
              <br>
              <u> <a class="text_black" href="http://archive.fabacademy.org/archives/2016/doc/programming_FabISP.html" target="_blank"> The tutorial that I followed to program the board</a> </u>
            </p>
            <br>
            <i>Process</i> <br><br>
            <p>
              1. Check the connections with the ampermeter.
            </p>
            <br>
            <p>
              2. Install WinAVR + drivers.
            </p>
            <br>
            <p>
              3. Connect the board through an usb mini and the AVRISP.<br>
              <ul>
                <li>Green light: the board is working well</li>
                <li>Red light: maybe some connections are failing</li>
              </ul>
            <br>
            <p>4. Edit the makefile depending if your are using an usbtiny or an avrisp2</p>
            <code>
              ...<br>
              #AVRDUDE = avrdude -c usbtiny -p $(DEVICE) # edit this line for your programmer <br>
              AVRDUDE = avrdude -c avrisp2 -P usb -p $(DEVICE) # edit this line for your programmer <br>
              ... <br>
          </code>

            </p>
            <br>
            <p>
            5. <u> <a class="text_black" href="files/firmware.zip" download>Download firmware</a> </u>. Open git bash inside the firmware folder:
            <ul>
              <li>make clean</li>
              <li>make hex</li>
              <li>make fuse</li>
              <li>make program</li>
            </ul>
          </p>
          <br>
          <p>
            I didn't succed programming my board. Whenever I have time I will try it again and find a solution. Talking with my mates it's something happening with windows users because maybe
            the drivers are not uploaded.
          </p>

          <br><br>
          <hr>
          <br><br>

          <p>
            Hi! Welcome back! After many days in fabacademy I try it again and succeded with vital help from Josep and Santi! Thank you :)
            <br><br>
            First problem I realized was that I didn't had the drivers for avrisp well downloaded. To check this go to control panel / devices and
            check if your pc is recognizing avrisp mkii device.
            <br><br>
            If not, like me, you should  download atmel studio to have the drivers. But even with maybe is not working.
            <br><br>
            Download Zadig application and change the drivers of the device.
            <center> <img src="files/zadigdrivers.png" width="80%"> </center>
            <br><br>
            <p>If doesn't work, download the latest avrdude versión and add a path to the environtment variables to the avrdude bin folder.</p>
            <center> <img src="files/pathavrdude.png" width="80%"> </center>
            <br><br>
            <p>I tried again and worked!!!</p>
            <center> <img src="files/code.png" width="80%"> </center>
            <br><br>
            <center> <img src="files/doneee.jpeg" width="80%"> </center>
          </p>
          <p>is workiiiiiiiiing !!!</p>
          <center>
          <iframe src="https://giphy.com/embed/i3REGCe2fPUZwnQ8mn"
          width="100%" frameBorder="0" class="giphy-embed"
          allowFullScreen></iframe><p><a href="https://giphy.com/gifs/misfitsandmonsters-excited-computer-i3REGCe2fPUZwnQ8mn">via GIPHY</a></p>
          </center>


        </div>
      </div>
    </div>
  </section>


  </body>

</html>
